<?php
/* 
   MasterSoft Software Solutions Ltd. - www.mastersoft.at - October. 2009 
   info@mastersoft.at
   This file is licensed under terms of the MPT Open License.
   You can find the license under http://www.mastersoft.at/content/view/26/34/lang,de/    
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

/**
 * the view class for a single video entry
 * @author <a href="http://www.mastersoft.at" target="_blank">MasterSoft Software Solutions Ltd.</a>
 *
 */
class VideosViewVideo extends JView
{
	/**
	 * display method of the view
	 * @return void
	 **/
	function display($tpl = null)
	{		
		$video		= &$this->get('Data');		
		$isNew		= ($video[0] < 1);
		$files		= &$this->get('FileNames');			

		$text = $isNew ? 'New': 'Edit';
		JToolBarHelper::title('Video' .': <small>[ ' . $text.' ]</small>' );
		JToolBarHelper::save();
		
		if ($isNew)  
		{
			JToolBarHelper::cancel();
		} else 
		{
			// for existing items the button is renamed `close`
			JToolBarHelper::cancel( 'cancel', 'Close' );
		}

		$this->assignRef('video',$video);
		$this->assignRef('files',$files);

		parent::display($tpl);
	}
}
